<template>
    <div>
        <h2>{{ msg }}</h2>
        <h3 v-show='display'>
            My name is {{ name }} and {{ name }} is {{ status }}. 
        </h3>
        
        <div v-show='display'>
            <my-second-component @changeName='changeName' :hobby="hobby.toLowerCase()" :name="name"></my-second-component>
        </div>        

        <br/>

        <div v-show="!display">
            <div>
                <label>Enter Your Name: </label>
                <input type="text" v-model="name">
            </div>
            
            <div>
                <label>Your Favorite Thing To Do: </label>
                <input type="text" v-model="hobby">
            </div>            

            <label for="">Awesome</label>
            <input v-model="status" type="radio" value="awesome">
            <br/>
            
            <label for="">Fabulous</label>
            <input v-model="status" type="radio" value="fabulous">
            <br/>

            <label for="">Excellent</label>
            <input v-model="status" type="radio" value="excellent">
            <br/>

            <button @click="transmitData">Transmit</button>
        </div>
    </div>
</template>

<script>

import MySecondComponent from './MySecondComponent.vue';
export default {
    name: 'FirstComponent',
    props: {
        msg: String
    },
    data(){
        return {
            name: '',
            status: '',
            display: false,
            hobby: '',
        }
    },
    // emits:['change-name'],
    methods:{
        transmitData(){
            this.display = true;
        },
        changeName(newName){
            console.log(newName);
            this.name = newName;
        }
    },
    components: {
        MySecondComponent
    }
}
</script>

<style>

</style>